Cognex Mobile Barcode SDK SDK for supporting communication with Cognex Barcode Reader devices

Properties | List of all members
CMBReadResult Class Reference

Represents a read result. More...

`#import <CMBReadResult.h>`

Inheritance diagram for CMBReadResult:

## Properties
NSString * | resultID
| Returns the identfier for this result.
BOOL | goodRead
| Success of the read. More...
NSString * | readString
| Returns the read string, if available. More...
UIImage * | image
| Returns the image for this result.
NSData * | imageGraphics
| Returns the SVG XML as NSData for this result. More...
NSData * | XML
| Returns the subresult XML string for this result. More...
CMBSymbology | symbology
| Returns the code symbology of the result. More...
NSString * | parsedText
| Get parsed result in form of 'formatted text', mainly suited for demonstration purpose if the result is parsable with the enabled CMBResultParser It would return text with rows consisted of key/values pairs, like: (ABC) 123456, where ABC is a key, and 123456 is a value. More...
NSString * | parsedJSON
| Get parsed result as JSON string when a CMBResultParser is enabled, containing general info about parsed data, and fields array. More...
BOOL | isGS1
| GS1 value of the result. More...
NSDictionary< NSString *, NSString * > * | resultExtra
| Dictionary containing extra information about the read result.

## Detailed Description

Represents a read result.

## Property Documentation

## ◆ goodRead

- (BOOL) goodRead
| read write atomic assign

Success of the read.

Returns
  true, if the read was successful

## ◆ imageGraphics

- (NSData*) imageGraphics
| read write atomic assign

Returns the SVG XML as NSData for this result.

Returns
  the SVG XML as NSData or null

## ◆ isGS1

- (BOOL) isGS1
| read write atomic assign

GS1 value of the result.

Returns
  true, if the barcode is GS1 standard

## ◆ parsedJSON

- (NSString*) parsedJSON
| read write atomic assign

Get parsed result as JSON string when a CMBResultParser is enabled, containing general info about parsed data, and fields array.

Returns
  result JSON as NSString or null

## ◆ parsedText

- (NSString*) parsedText
| read write atomic assign

Get parsed result in form of 'formatted text', mainly suited for demonstration purpose if the result is parsable with the enabled CMBResultParser It would return text with rows consisted of key/values pairs, like: (ABC) 123456, where ABC is a key, and 123456 is a value.

Returns
  parsed result as NSString or null

## ◆ readString

- (NSString*) readString
| read write atomic assign

Returns the read string, if available.

Returns
  read string or nil

## ◆ symbology

- (CMBSymbology) symbology
| read write atomic assign

Returns the code symbology of the result.

Returns
  CMBSymbology of the result

## ◆ XML

- (NSData*) XML
| read write atomic assign

Returns the subresult XML string for this result.

Returns
  the subresult XML string or null

The documentation for this class was generated from the following file:

- CMBReadResult.h